﻿© Fluke Calibration. All Rights Reserved.                  MET/CAL Procedure
=============================================================================
INSTRUMENT:            LeCroy WS44Xs: (1 yr) VER IEEE /5520A+SC600,DMM
DATE:                  2011-11-28 09:39:10
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       341
CONFIGURATION:         Fluke 5520A (S6)
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        VY
# 
#  Models covered:
#        WS44Xs
# 
#  Source(s):
#        Chapter 5 - WSXs Performance Verification Rev C.pdf
#        Chapter 5 - WSXs Performance Verification Test Record rev C.pdf
# 
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        Sub MET/CAL Version Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub Initialize /DMM
#        Sub Reset /DMM
#        Sub Measure /DMM
#        Sub Setup /DMM
#        Sub Read /DMM
#        Sub Get Accuracy /DMM
#        Sub Send Command /DMM
#        Sub LeCroy WS-GPIB Connection
#        Sub LeCroy WS-GPIB Setup
#        Sub LeCroy WS-GPIB Initialization
#        Sub LeCroy WSXs Set BW & Number of Channels
#        Sub LeCroy WSXs Self-Test IEEE
#        Sub LeCroy WSXs Cal Initialize IEEE
#        Sub LeCroy WSXs Check Software Option IEEE
#        Sub LeCroy WSXs (1 yr) Peak-Peak Noise Level IEEE
#        Sub LeCroy WSXs (1 yr) Chan Leakage Current IEEE /DMM
#        Sub LeCroy WSXs (1 yr) Ext Leakage Current IEEE /DMM
#        Sub LeCroy WSXs (1 yr) Chan In Impedance IEEE /5520+S6
#        Sub LeCroy WSXs (1 yr) Ext In Impedance IEEE /5520+S6
#        Sub LeCroy WSXs (1 yr) DC Gain Acc IEEE /5520+S6
#        Sub LeCroy WSXs (1 yr) Offset Acc IEEE /5520+S6
#        Sub LeCroy WSXs (1 yr) Trigger Level IEEE /5520+S6
#        Sub LeCroy WSXs (1 yr) Time Base Acc IEEE /5520+S6
#        Sub LeCroy WSXs (1 yr) Bandwidth IEEE /5520+S6
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        Cable, 50 Ohm, BNC(m)-(m)
#        BNC female to double stacking banana plug, Pomona 1269
# 
# The procedure was tested using:
#
#        Model No  : LeCroy WaveSurfer 64Xs
#        Serial No : LCRY0308M16337
#        Options   : None
#        Firmware  : 5.1.1
#
#        Model No  : LeCroy WS-GPIB
#        Serial No : 040933
#        Options   :
#        Firmware  :
#
# Average run time during testing :  35 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5520         400.1MH                      1Vpp           LS S6 S  L
  1.003  IEEE         [@DMM]
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V

  1.006  MATH         @ReqMetCalVersion = "7.20"
  1.007  CALL         Sub MET/CAL Version Check

  1.008  IF           NOT(@MetCalVersionOK)
  1.009  DISP         This procedure requires MET/CAL 7.20 or later.
  1.010  END
  1.011  ENDIF

  1.012  CALL         Sub Display Copyright
  1.013  CALL         Sub High Voltage Safety Warning
  1.014  CALL         Sub Select Failed Test Mode
  1.015  CALL         Sub Select Verification Method (No NTHROW)

  1.016  DISP         Ensure a minimum UUT warm-up time of at least
  1.016  DISP         20 minutes has been allowed to elapse, prior
  1.016  DISP         to beginning verification.

  1.017  HEAD         PRELIMINARY INSTRUCTIONS
  1.018  CALL         Sub LeCroy WS-GPIB Connection
  1.019  CALL         Sub LeCroy WS-GPIB Setup
  1.020  CALL         Sub LeCroy WS-GPIB Initialization

  1.021  MATH         L[1] = ZCMPI(@Manufacturer, "LECROY")
  1.022  MATH         L[2] = ZCMPI(@ModelNum, "WS44Xs")

  1.023  IF           NOT(L[1]) || NOT(L[2])
  1.024  DISP         UUT is a [V @Manufacturer] [V @ModelNum],
  1.024  DISP         not a LeCroy WS44Xs!
  1.025  END
  1.026  ENDIF

  1.027  HEAD         EQUIPMENT REQUIREMENTS
  1.028  OPBR         -z Do you want to REVIEW the list of additional
  1.028  OPBR         equipment and/or accessories required?

  1.029  IF           MEM1
  1.030  DISP         The following additional equipment and/or
  1.030  DISP         accessories are required:
  1.030  DISP
  1.030  DISP         - Cable, 50 Ohm, BNC(m)-(m)
  1.030  DISP         - BNC female to double stacking banana plug, Pomona 1269
  1.031  ENDIF

# Set the system confidence level to 95%.
  1.032  MATH         @SysConf = 2
  1.033  MATH         @DevName = "Fluke 5520A"

  1.034  CALL         Sub LeCroy WSXs Set BW & Number of Channels
  1.035  CALL         Sub LeCroy WSXs Check Software Option IEEE

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   CHANNEL INPUT IMPEDANCE(CH1)       PEAK-PEAK NOISE LEVEL(CH1)
#    3.   CHANNEL INPUT IMPEDANCE(CH2)       PEAK-PEAK NOISE LEVEL(CH2)
#    4.   CHANNEL INPUT IMPEDANCE(CH3)       PEAK-PEAK NOISE LEVEL(CH3)
#    5.   CHANNEL INPUT IMPEDANCE(CH4)       PEAK-PEAK NOISE LEVEL(CH4)
#    6.   EXTERNAL INPUT IMPEDANCE           LEAKAGE CURRENT(CH1)
#    7.   LEAKAGE CURRENT(CH1)               LEAKAGE CURRENT(CH2)
#    8.   LEAKAGE CURRENT(CH2)               LEAKAGE CURRENT(CH3)
#    9.   LEAKAGE CURRENT(CH3)               LEAKAGE CURRENT(CH4)
#   10.   LEAKAGE CURRENT(CH4)               EXTERNAL TRIGGER LEAKAGE CURRENT
#   11.   EXTERNAL TRIGGER LEAKAGE CURRENT   EXTERNAL INPUT IMPEDANCE
#   12.   PEAK-PEAK NOISE LEVEL(CH1)         CHANNEL INPUT IMPEDANCE(CH1)
#   13.   PEAK-PEAK NOISE LEVEL(CH2)         DC GAIN ACC(CH1)
#   14.   PEAK-PEAK NOISE LEVEL(CH3)         OFFSET ACC(CH1)
#   15.   PEAK-PEAK NOISE LEVEL(CH4)         BANDWIDTH(CH1)
#   16.   DC GAIN ACC(CH1)                   TRIGGER LEVEL(CH1)
#   17.   DC GAIN ACC(CH2)                   TIME BASE
#   18.   DC GAIN ACC(CH3)                   CHANNEL INPUT IMPEDANCE(CH2)
#   19.   DC GAIN ACC(CH4)                   DC GAIN ACC(CH2)
#   20.   OFFSET ACC(CH1)                    OFFSET ACC(CH2)
#   21.   OFFSET ACC(CH2)                    BANDWIDTH(CH2)
#   22.   OFFSET ACC(CH3)                    TRIGGER LEVEL(CH2)
#   23.   OFFSET ACC(CH4)                    CHANNEL INPUT IMPEDANCE(CH3)
#   24.   BANDWIDTH(CH1)                     DC GAIN ACC(CH3)
#   25.   BANDWIDTH(CH2)                     OFFSET ACC(CH3)
#   26.   BANDWIDTH(CH3)                     BANDWIDTH(CH3)
#   27.   BANDWIDTH(CH4)                     TRIGGER LEVEL(CH3)
#   28.   TRIGGER LEVEL(CH1)                 CHANNEL INPUT IMPEDANCE(CH4)
#   29.   TRIGGER LEVEL(CH2)                 DC GAIN ACC(CH4)
#   30.   TRIGGER LEVEL(CH3)                 OFFSET ACC(CH4)
#   31.   TRIGGER LEVEL(CH4)                 BANDWIDTH(CH4)
#   32.   TIME BASE                          TRIGGER LEVEL(CH4)

  1.036  CALL         Sub LeCroy WSXs Self-Test IEEE

  1.037  IF           @Abort
  1.038  END
  1.039  ENDIF

  1.040  JMPL         PEAK_PEAK_NOISE_LEVEL

  1.041  LABEL        CHANNEL_INPUT_IMPEDANCE_CH1
  1.042  MATH         @Chan = 1
  1.043  CALL         Sub LeCroy WSXs (1 yr) Chan In Impedance IEEE /5520+S6
  1.044  JMPL         DC_GAIN_ACC_CH1

  1.045  LABEL        CHANNEL_INPUT_IMPEDANCE_CH2
  1.046  MATH         @Chan = 2
  1.047  CALL         Sub LeCroy WSXs (1 yr) Chan In Impedance IEEE /5520+S6
  1.048  JMPL         DC_GAIN_ACC_CH2

  1.049  LABEL        CHANNEL_INPUT_IMPEDANCE_CH3
  1.050  MATH         @Chan = 3
  1.051  CALL         Sub LeCroy WSXs (1 yr) Chan In Impedance IEEE /5520+S6
  1.052  JMPL         DC_GAIN_ACC_CH3

  1.053  LABEL        CHANNEL_INPUT_IMPEDANCE_CH4
  1.054  MATH         @Chan = 4
  1.055  CALL         Sub LeCroy WSXs (1 yr) Chan In Impedance IEEE /5520+S6
  1.056  JMPL         DC_GAIN_ACC_CH4

  1.057  LABEL        EXT_INPUT_IMPEDANCE
  1.058  MATH         @Chan = 5
  1.059  CALL         Sub LeCroy WSXs (1 yr) Ext In Impedance IEEE /5520+S6
  1.060  JMPL         CHANNEL_INPUT_IMPEDANCE_CH1

  1.061  LABEL        CHANNAL_LEAKAGE_CURRENT
  1.062  MATH         @Chan = 1
  1.063  CALL         Sub LeCroy WSXs (1 yr) Chan Leakage Current IEEE /DMM
  1.064  MATH         @Chan = 2
  1.065  CALL         Sub LeCroy WSXs (1 yr) Chan Leakage Current IEEE /DMM
  1.066  MATH         @Chan = 3
  1.067  CALL         Sub LeCroy WSXs (1 yr) Chan Leakage Current IEEE /DMM
  1.068  MATH         @Chan = 4
  1.069  CALL         Sub LeCroy WSXs (1 yr) Chan Leakage Current IEEE /DMM
  1.070  MATH         @Chan = 5
  1.071  CALL         Sub LeCroy WSXs (1 yr) Ext Leakage Current IEEE /DMM
  1.072  JMPL         EXT_INPUT_IMPEDANCE

  1.073  LABEL        PEAK_PEAK_NOISE_LEVEL
  1.074  MATH         @Chan = 1
  1.075  CALL         Sub LeCroy WSXs (1 yr) Peak-Peak Noise Level IEEE
  1.076  MATH         @Chan = 2
  1.077  CALL         Sub LeCroy WSXs (1 yr) Peak-Peak Noise Level IEEE
  1.078  MATH         @Chan = 3
  1.079  CALL         Sub LeCroy WSXs (1 yr) Peak-Peak Noise Level IEEE
  1.080  MATH         @Chan = 4
  1.081  CALL         Sub LeCroy WSXs (1 yr) Peak-Peak Noise Level IEEE
  1.082  JMPL         CHANNAL_LEAKAGE_CURRENT

  1.083  LABEL        DC_GAIN_ACC_CH1
  1.084  MATH         @Chan = 1
  1.085  CALL         Sub LeCroy WSXs (1 yr) DC Gain Acc IEEE /5520+S6
  1.086  JMPL         OFFSET_ACC_CH1

  1.087  LABEL        DC_GAIN_ACC_CH2
  1.088  MATH         @Chan = 2
  1.089  CALL         Sub LeCroy WSXs (1 yr) DC Gain Acc IEEE /5520+S6
  1.090  JMPL         OFFSET_ACC_CH2

  1.091  LABEL        DC_GAIN_ACC_CH3
  1.092  MATH         @Chan = 3
  1.093  CALL         Sub LeCroy WSXs (1 yr) DC Gain Acc IEEE /5520+S6
  1.094  JMPL         OFFSET_ACC_CH3

  1.095  LABEL        DC_GAIN_ACC_CH4
  1.096  MATH         @Chan = 4
  1.097  CALL         Sub LeCroy WSXs (1 yr) DC Gain Acc IEEE /5520+S6
  1.098  JMPL         OFFSET_ACC_CH4

  1.099  LABEL        OFFSET_ACC_CH1
  1.100  MATH         @Chan = 1
  1.101  CALL         Sub LeCroy WSXs (1 yr) Offset Acc IEEE /5520+S6
  1.102  JMPL         BANDWIDTH_CH1

  1.103  LABEL        OFFSET_ACC_CH2
  1.104  MATH         @Chan = 2
  1.105  CALL         Sub LeCroy WSXs (1 yr) Offset Acc IEEE /5520+S6
  1.106  JMPL         BANDWIDTH_CH2

  1.107  LABEL        OFFSET_ACC_CH3
  1.108  MATH         @Chan = 3
  1.109  CALL         Sub LeCroy WSXs (1 yr) Offset Acc IEEE /5520+S6
  1.110  JMPL         BANDWIDTH_CH3

  1.111  LABEL        OFFSET_ACC_CH4
  1.112  MATH         @Chan = 4
  1.113  CALL         Sub LeCroy WSXs (1 yr) Offset Acc IEEE /5520+S6
  1.114  JMPL         BANDWIDTH_CH4

  1.115  LABEL        BANDWIDTH_CH1
  1.116  MATH         @Chan = 1
  1.117  CALL         Sub LeCroy WSXs (1 yr) Bandwidth IEEE /5520+S6
  1.118  JMPL         TRIGGER_LEVEL_CH1

  1.119  LABEL        BANDWIDTH_CH2
  1.120  MATH         @Chan = 2
  1.121  CALL         Sub LeCroy WSXs (1 yr) Bandwidth IEEE /5520+S6
  1.122  JMPL         TRIGGER_LEVEL_CH2

  1.123  LABEL        BANDWIDTH_CH3
  1.124  MATH         @Chan = 3
  1.125  CALL         Sub LeCroy WSXs (1 yr) Bandwidth IEEE /5520+S6
  1.126  JMPL         TRIGGER_LEVEL_CH3

  1.127  LABEL        BANDWIDTH_CH4
  1.128  MATH         @Chan = 4
  1.129  CALL         Sub LeCroy WSXs (1 yr) Bandwidth IEEE /5520+S6
  1.130  JMPL         TRIGGER_LEVEL_CH4

  1.131  LABEL        TRIGGER_LEVEL_CH1
  1.132  MATH         @Chan = 1
  1.133  CALL         Sub LeCroy WSXs (1 yr) Trigger Level IEEE /5520+S6
  1.134  JMPL         TIME_BASE

  1.135  LABEL        TRIGGER_LEVEL_CH2
  1.136  MATH         @Chan = 2
  1.137  CALL         Sub LeCroy WSXs (1 yr) Trigger Level IEEE /5520+S6
  1.138  JMPL         CHANNEL_INPUT_IMPEDANCE_CH3

  1.139  LABEL        TRIGGER_LEVEL_CH3
  1.140  MATH         @Chan = 3
  1.141  CALL         Sub LeCroy WSXs (1 yr) Trigger Level IEEE /5520+S6
  1.142  JMPL         CHANNEL_INPUT_IMPEDANCE_CH4

  1.143  LABEL        TRIGGER_LEVEL_CH4
  1.144  MATH         @Chan = 4
  1.145  CALL         Sub LeCroy WSXs (1 yr) Trigger Level IEEE /5520+S6
  1.146  JMPL         END

  1.147  LABEL        TIME_BASE
  1.148  MATH         @Chan = 1
  1.149  CALL         Sub LeCroy WSXs (1 yr) Time Base Acc IEEE /5520+S6
  1.150  JMPL         CHANNEL_INPUT_IMPEDANCE_CH2

  1.151  LABEL        END
  1.152  DISP         V E R I F I C A T I O N   C O M P L E T E
  1.153  END